# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Mar 16 13:34:00 2022
# ------------------------------------------------

package:
  name: networkx
  version: 2.7.1
source:
  sha256: d1194ba753e5eed07cdecd1d23c5cd7a3c772099bd8dbd2fea366788cf4de7ba
  url: https://pypi.io/packages/source/n/networkx/networkx-2.7.1.tar.gz
build:
  noarch: python
  number: '0'
  script: /opt/conda/conda-bld/networkx_1647437648384/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.0 h12debd9_5
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py310h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - python >=3.8
test:
  commands:
    - pip check
  downstreams:
    - pomegranate
    - pythran
    - scikit-image
  imports:
    - networkx
    - networkx.algorithms
    - networkx.algorithms.approximation
    - networkx.algorithms.assortativity
    - networkx.algorithms.bipartite
    - networkx.algorithms.centrality
    - networkx.algorithms.coloring
    - networkx.algorithms.community
    - networkx.algorithms.components
    - networkx.algorithms.connectivity
    - networkx.algorithms.flow
    - networkx.algorithms.isomorphism
    - networkx.algorithms.link_analysis
    - networkx.algorithms.minors
    - networkx.algorithms.node_classification
    - networkx.algorithms.operators
    - networkx.algorithms.shortest_paths
    - networkx.algorithms.traversal
    - networkx.algorithms.tree
    - networkx.classes
    - networkx.drawing
    - networkx.generators
    - networkx.linalg
    - networkx.readwrite
    - networkx.readwrite.json_graph
    - networkx.testing
    - networkx.tests
    - networkx.utils
  requires:
    - pip
  sourse_files:
    - tests/
about:
  description: 'NetworkX is a Python language software package for the creation,

    manipulation, and study of the structure, dynamics, and functions of complex

    networks.

    '
  dev_url: https://github.com/networkx/networkx
  doc_source_url: https://github.com/networkx/networkx/blob/v1.11/doc/source/index.rst
  doc_url: https://networkx.org/documentation/stable
  home: https://networkx.github.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python package for creating and manipulating complex networks
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - FelixMoelder
    - SylvainCorlay
    - ocefpaf
    - synapticarbors
